GET /v2.0/data/taxa
neotomadb.org:neotoma-database-api
Operation ID: —
Auth: unknown
Description
Returns information about a taxon and (if requested) related taxa.
Parameters (6)
(string, query, optional)
The ecological group of interest for the Neotoma taxon (from the Neotoma ecolgrouptypes table)
(integer, query, optional, default: 25)
The maximum number of records to be returned, default is 25.
Constraints: {'minimum': 1, 'maximum': 10000}
(integer, query, optional, default: 0)
The offset for returned records when a limit is present. Default is 0.
Constraints: {'minimum': 0}
(string, query, optional)
The taxonomic extinction status of the taxon, either extinct (1, True) or extant (0, False).
Constraints: {'enum': [0, 1, True, False]}
(string, query, optional)
The taxonomic grouping the taxon belongs to, from the Neotoma taxagrouptypes table. You can get the list of acceptable taxa group types using the [dbtables API call](https://api.neotomadb.org/api-docs/#/Database%20tables/get_v2_0_data_dbtables) and passing *taxagrouptypes* as the table.
(string, query, optional)
Taxon name or partial name. You can pass wildcard characters using `%`. For example, `%anis` will match with *Canis* as well as the plant taxon *Triodanis*. It will not match `Canis lupus` because there is no terminal wildcard. This can be accompished using `%anis%`.
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for taxa by name with wildcard | curl |
https://api.neotomadb.org/v2.0/data/taxa?taxonname=Pinus%25&limit=10 |
|
| Filter by ecological group with pagination | curl |
https://api.neotomadb.org/v2.0/data/taxa?ecolgroup=plants&limit=25&offset=0 |
|
| Filter by taxonomic group and extant status | curl |
https://api.neotomadb.org/v2.0/data/taxa?taxagroup=Plantae&status=0&limit=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:01:21.759095 | 200 | 602ms | |
| 2026-03-23 10:13:43.118298 | 200 | 600ms | |
| 2026-03-23 06:09:28.115311 | 200 | 638ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:13:43.118298 | d03c69384b38 |
89da7946d144 |
| 2026-03-23 11:01:21.759095 | 89da7946d144 |
d03c69384b38 |